Mailinglist Archive: opensuse (3175 mails)

< Previous Next >
Re: [opensuse] Oh my god, zypper is such a crap!
  • From: Anders Johansson <andjoh@xxxxxxxxxx>
  • Date: Sat, 7 Apr 2007 15:37:26 +0200
  • Message-id: <200704071537.26552.andjoh@xxxxxxxxxx>
On Saturday 07 April 2007 15:24:39 Jan Tiggy wrote:
> Anders Johansson wrote:
> > Some friend. That is exactly backwards. The old system could only handle
> > one type of repositories, the new can handle every type of rpm based
> > repository
>
> I know the official statements.

They also happen to be true

> >> And I didn't digg on that further more, 'coz it sounded
> >> plausible to me. Why else would somebody replace a fully working packet
> >> management with such a crap as zypper or rug? Btw. at least in 10.1 I
> >> could uninstall rug and still could use YOU in Yast2, but now w/o zypper
> >> Yast2 won't even start.
> >
> > That is not true
>
> Yes it is. Run 'rpm -e libzypp' and then try to access a repo with
> Yast2. It worked in 10.1.

No it didn't. YaST was based on libzypp in 10.1 too

Also, your argument is a little strange. It's a little like "I uninstalled X 
and now startx won't run anymore. What crap"

Yes, YaST uses libzypp as package management backend now. Do you have problems 
with libzypp? Do you notice things that don't work? So far I haven't seen 
many bugreports about libzypp not working

And please don't try to make silly jokes about this, because rug/zmd don't use 
libzypp for their updates. I have seen bugreports about those, not about 
libzypp. Right now, the only thing I see about libzypp is an effort to 
improve performance

-- 
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups